org.eclipse.viatra.cep.core.metamodels.automaton

## Interface TypedTransition

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Transition
  All Known Subinterfaces:
    NegativeTransition
  All Known Implementing Classes:
    NegativeTransitionImpl, TypedTransitionImpl

      public interface TypedTransition
      extends Transition

  A representation of the model object 'Typed Transition'.

  The following features are supported:

  - `Guards`
  - `Parameters`
  See Also:
    `AutomatonPackage.getTypedTransition()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Guard>` | `getGuards()` Returns the value of the 'Guards' containment reference list.
    `org.eclipse.emf.common.util.EList<Parameter>` | `getParameters()` Returns the value of the 'Parameters' containment reference list.

    - ### Methods inherited from interface org.eclipse.viatra.cep.core.metamodels.automaton.Transition

      `getPostState, getPreState, setPostState, setPreState`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGuards

          org.eclipse.emf.common.util.EList<Guard> getGuards()

      Returns the value of the 'Guards' containment reference list. The list contents are of type `Guard`. It is bidirectional and its opposite is '`Transition`'.

      If the meaning of the 'Guards' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Guards' containment reference list.
      See Also:
        `AutomatonPackage.getTypedTransition_Guards()`, `Guard.getTransition()`
      Generated:
      Model:
        opposite="transition" containment="true" required="true"

    - #### getParameters

          org.eclipse.emf.common.util.EList<Parameter> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`. It is bidirectional and its opposite is '`Transition`'.

      If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `AutomatonPackage.getTypedTransition_Parameters()`, `Parameter.getTransition()`
      Generated:
      Model:
        opposite="transition" containment="true"